## python-redfish-utility 3.2.2+ds1

=== requirements.txt ===
python-ilorest-library >= 3.2
urllib3 >= 1.22
pyaes >= 1.6.1
colorama >= 0.3.9
setuptools >= 2.2
distribute >= 0.7.3
jsonpointer >= 1.1
six >= 1.7.2
ply >= 2.4
decorator >= 3.4
jsonpatch >= 1.3
jsonpath-rw >= 1.3.0
recordtype >= 1.1
setproctitle >= 1.1.8; platform_system == "Linux"
validictory >= 1.0.1
pyudev >= 0.21.0
jsondiff >= 1.1.1
pyaes >= 1.6.0
tabulate >= 0.8.2
enum34 >= 1.1.6; python_version < "3.4"
prompt_toolkit >= 2.0.8
certifi >= 2020.6.20
pywin32 >= 300; platform_system == "Windows"

=== debian/changelog ===
python-redfish-utility (3.2.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Sep 2021 10:23:17 +0200

=== debian/control ===
Source: python-redfish-utility
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all-dev,
 python3-hypothesis,
 python3-pyperform,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-certifi (>= 2020.6.20),
 python3-colorama (>= 0.3.9),
 python3-decorator,
 python3-ilorest,
 python3-json-pointer,
 python3-jsondiff,
 python3-jsonpatch,
 python3-jsonpath-rw,
 python3-ply,
 python3-prompt-toolkit (>= 2.0.8),
 python3-pyaes,
 python3-pyudev,
 python3-setproctitle,
 python3-setuptools,
 python3-six,
 python3-tabulate,
 python3-urllib3,
 python3-validictory (>= 1.0.1),
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-redfish-utility
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-redfish-utility.git
Homepage: http://github.com/tobgu/pyrsistent/

Package: ilorest
Architecture: all
Depends:
 python3-certifi (>= 2020.6.20),
 python3-colorama (>= 0.3.9),
 python3-decorator,
 python3-ilorest,
 python3-json-pointer,
 python3-jsondiff,
 python3-jsonpatch,
 python3-jsonpath-rw,
 python3-ply,
 python3-prompt-toolkit (>= 2.0.8),
 python3-pyaes,
 python3-pyudev,
 python3-setproctitle,
 python3-setuptools,
 python3-six,
 python3-tabulate,
 python3-urllib3,
 python3-validictory (>= 1.0.1),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: cli for managing servers over the Redfish API
 The Redfish Utility is a command line interface that allows one to manage
 servers that take advantage of Redfish APIs. In addition to using the utility
 manually to execute individual commands, you can create scripts to automate
 tasks.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/HewlettPackard/python-redfish-utility
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf doc/build build $(CURDIR)/ilorest/config/__init__.py

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	touch $(CURDIR)/ilorest/config/__init__.py
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
#	pkgos-dh_auto_test --no-py2 'openstackclient\.tests\.(?!(.*test_shell\.TestShellCli\.test_shell_args_precedence.*|.*test_shell\.TestShellCliEnv\.test_shell_args_precedence_.*))'
endif

override_dh_auto_test:
	echo "Tests to be done after install..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/sphinx $(CURDIR)/debian/ilorest-doc/usr/share/doc/ilorest-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/HewlettPackard/python-redfish-utility/tags .*/(\d[brc\d\.]+)\.tar\.gz
